package com.caimei.mapper;

import com.caimei.model.po.CmBrandAuthPo;
import com.caimei.model.vo.AuthVo;
import com.caimei.model.vo.BrandVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/11
 */
@Mapper
public interface AuthMapper {

    List<AuthVo> getAuthList(@Param("authUserId") Integer authUserId, @Param("authParty") String authParty);

    void updateAuthStatusByAuthId(@Param("authId") Integer authId, @Param("status") Integer status);

    void deleteAuthByAuthId(Integer authId);

    void insertAuth(CmBrandAuthPo auth);

    void updateAuthByAuthId(CmBrandAuthPo auth);
}
