package com.caimei.mapper;

import com.caimei.model.vo.UserLoginVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/11
 */
@Mapper
public interface UserMapper {

    UserLoginVo getAdminUserByName(String name);

    UserLoginVo getShopUserByMobile(String mobile);

    String getPasswordByUserId(Integer authUserId);

    void updatePasswordByUserId(@Param("authUserId") Integer authUserId, @Param("newPassword") String newPassword);
}
