package com.caimei;

import com.caimei.config.FastDfsClient;
import com.caimei.service.AuthProductService;
import com.caimei.utils.Base64Util;
import com.caimei.utils.ImageUtils;
import com.caimei.utils.JwtUtil;
import com.caimei.utils.OSSUtils;
import org.apache.commons.lang3.StringUtils;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.core.io.ClassPathResource;
import org.springframework.web.multipart.MultipartFile;

import javax.imageio.ImageIO;
import java.awt.*;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.util.UUID;

@SpringBootTest
public class AdminApplicationTests {


    @Test
    public void JWTToken(){
        OSSUtils.deleteSingleFile("5dbb6eb668174438ae5f9b5a1d99f7cf.ppt");
    }

    @Test
    public void  drawImage() throws IOException {
        ClassPathResource classPathResource = new ClassPathResource("/images/pcWaterMark.png");
        InputStream inputStreamImg = classPathResource.getInputStream();
        Image pcWaterMarkImg = ImageIO.read(inputStreamImg);
        classPathResource = new ClassPathResource("/images/appletsWaterMark.png");
        inputStreamImg = classPathResource.getInputStream();
        Image appletsWaterMarkImg = ImageIO.read(inputStreamImg);
        String img = ImageUtils.markImageByIcon(pcWaterMarkImg, "https://img-b.caimei365.com/group1/M00/03/3A/Cmgy62CsZKWALkD8AAUjzdv0-wk753.jpg", null);
        String img1 = ImageUtils.markImageByIcon(appletsWaterMarkImg, "https://img-b.caimei365.com/group1/M00/03/3A/Cmgy62CsZKWALkD8AAUjzdv0-wk753.jpg", null);
        System.out.println(img);
        System.out.println(img1);
    }


}
