package com.caimei.model.vo;

import com.caimei.model.po.ProductParamPo;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author Aslee
 * @date 2021/5/17
 */
@Data
public class ProductFormVo {
    @ApiModelProperty("商品id")
    private Integer productId;

    @ApiModelProperty("授权id")
    private Integer authId;

    @ApiModelProperty("品牌id")
    private Integer brandId;

    @ApiModelProperty("商品名称")
    private String productName;

    @ApiModelProperty("商品SN码")
    private String snCode;

    @ApiModelProperty("商品图片")
    private String productImage;

    @ApiModelProperty("授权牌照")
    private String certificateImage;

    @ApiModelProperty("商品参数列表")
    private List<ProductParamPo> paramList;

    @ApiModelProperty("上架状态：0下架，1上架")
    private Integer status;
}
